package com.steerinfo.ems.tcm0317.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0317 implements IBasePO<String> {
    /**
     * 记录ID(RECORDID,DECIMAL,0)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 审核人(CHECKPERSON,VARCHAR,36)
     */
    @ApiModelProperty(value="审核人",required=true)
    private String checkperson;

    /**
     * 编制人(CREATOR,VARCHAR,36)
     */
    @ApiModelProperty(value="编制人",required=true)
    private String creator;

    /**
     * 描述(DESCRIB,VARCHAR,2048)
     */
    @ApiModelProperty(value="描述",required=true)
    private String describ;

    /**
     * 文件名称(FILENAME,VARCHAR,36)
     */
    @ApiModelProperty(value="文件名称",required=true)
    private String filename;

    /**
     * 目录(PARENTCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="目录",required=true)
    private String parentcode;

    /**
     * 签发人(SIGNPERSON,VARCHAR,36)
     */
    @ApiModelProperty(value="签发人",required=true)
    private String signperson;

    /**
     * 日期(STARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="日期",required=true)
    private String starttime;

    private static final Long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid;
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid;
    }

    public String getCheckperson() {
        return checkperson;
    }

    public void setCheckperson(String checkperson) {
        this.checkperson = checkperson == null ? null : checkperson.trim();
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    public String getDescrib() {
        return describ;
    }

    public void setDescrib(String describ) {
        this.describ = describ == null ? null : describ.trim();
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename == null ? null : filename.trim();
    }

    public String getParentcode() {
        return parentcode;
    }

    public void setParentcode(String parentcode) {
        this.parentcode = parentcode == null ? null : parentcode.trim();
    }

    public String getSignperson() {
        return signperson;
    }

    public void setSignperson(String signperson) {
        this.signperson = signperson == null ? null : signperson.trim();
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime == null ? null : starttime.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", checkperson=").append(checkperson);
        sb.append(", creator=").append(creator);
        sb.append(", describ=").append(describ);
        sb.append(", filename=").append(filename);
        sb.append(", parentcode=").append(parentcode);
        sb.append(", signperson=").append(signperson);
        sb.append(", starttime=").append(starttime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}